#include "stack.h"
#include <stdlib.h>

pstack ST = nullptr;

void push(int dat)
{
	//     
	pstack t = (pstack) malloc(sizeof(stack));
	t->data = dat; //  
	t->p = ST;     //     
	ST = t;        //     
}

int peek()
{
	if (ST) return ST->data;
	else return 0;
}

int pop()
{
	if (ST)
	{
		int d = ST->data; //  
		pstack s = ST->p; //    . .
		free(ST);    //  
		ST = s;      // ST   . .
		return d;     //  
	}
	else return 0;
}

bool find(pstack s, int dat)
{
	if (s == nullptr) return false;
	if (s->data == dat) return true;
	return find(s->p, dat);
}


